;; zdisp.inc -- display routines & system entry points

#ifndef __ZDISP_INC
#define __ZDISP_INC

#include "zti.inc"

#if TI84PCE
#include "ti84pce/zdisp.inc"
#elif TI83PLUS
#include "ti83plus/zdisp.inc"
#endif

;; struct zrect
;; COL orgcol
;; ROW orgrow
;; COL width
;; ROW height
ZRECT.ORGCOL .equ 0
ZRECT.ORGROW .equ ZRECT.ORGCOL + COL_SIZE
ZRECT.WIDTH  .equ ZRECT.ORGROW + ROW_SIZE
ZRECT.HEIGHT .equ ZRECT.WIDTH + COL_SIZE


ZRECT_SIZE .equ ZRECT.HEIGHT + ROW_SIZE

#macro D_ZRECT(orgcol, orgrow, width, height)
       DCOL orgcol
       DROW orgrow
       DCOL width
       DROW height
#endmacro

#endif
